[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomTreeView.DoCreateNodeClass

Signals the OnCreateNodeClass event handler (when assigned).

## Declaration

Source position: comctrls.pp line 3604

`protected procedure TCustomTreeView.DoCreateNodeClass(`
`var NewNodeClass: TTreeNodeClass`
`); virtual;`

## Arguments

`NewNodeClass` |  | Class reference used to create the new node instance.

## Description

Signals the OnCreateNodeClass event handler (when assigned).